VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::boot::DeviceTypes::Type Class Reference

The `Device.Type` enumerated type defines the valid device types that may be used as bootable devices. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, CDROM, DISK, ETHERNET, FLOPPY }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | CDROM = new Type("CDROM", Values.CDROM)
| Virtual CD-ROM device.
static readonly Type | DISK = new Type("DISK", Values.DISK)
| Virtual disk device.
static readonly Type | ETHERNET = new Type("ETHERNET", Values.ETHERNET)
| Virtual Ethernet adapter.
static readonly Type | FLOPPY = new Type("FLOPPY", Values.FLOPPY)
| Virtual floppy drive.

## Detailed Description

The `Device.Type` enumerated type defines the valid device types that may be used as bootable devices.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  CDROM | Virtual CD-ROM device.
  DISK | Virtual disk device.
  ETHERNET | Virtual Ethernet adapter.
  FLOPPY | Virtual floppy drive.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::CDROM = new Type("CDROM", Values.CDROM)`[static]`

Virtual CD-ROM device.

readonly Type vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::DISK = new Type("DISK", Values.DISK)`[static]`

Virtual disk device.

readonly Type vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::ETHERNET = new Type("ETHERNET", Values.ETHERNET)`[static]`

Virtual Ethernet adapter.

readonly Type vmware::vcenter::vm::hardware::boot::DeviceTypes::Type::FLOPPY = new Type("FLOPPY", Values.FLOPPY)`[static]`

Virtual floppy drive.

The documentation for this class was generated from the following file:

- DeviceTypes.cs